Issue #3 resolved

Dropdownlist dependientes

Pablo Peuscovich
created an issue

Estimado Ricardo, primeramente quiero felicitarte por tu trabajo con AweCrud. Es excelente.He probado varias extensiones de gii (giix, gtc, y ahora awecrud). Necesito hacer dos dropdownlist dependientes en una vista. Hay alguna forma de hacerlo automaticamente con AweCrud, o una vez generado el CRUD, debo poner a mano el codigo Ajax para relacionarlas.

Muchas gracias. Pablo.

Comments (7)

  1. Pablo Peuscovich reporter

    Estimado Ricardo: Muchas gracias por haberme generosamente contestado. Me imaginaba la respuesta, pero necesitaba tu confirmación para dejar de buscar. En http://www.yiiframework.com/forum/index.php/topic/38068-necesito-ayuda-para-empezar-un-proyecto/ realizas una referencia a AweCrud como mas "poderoso" que otras extensiones de gii, Con soporte para Bootstrap, relaciones a llaves foráneas en formularios de inserción y actualización. Con respecto a Bootstrap, puedo generar las vistas automáticamente con este estilo o debo ir cambiando uno por uno los formularios? Con respecto a relaciones a llaves foráneas en formularios de inserción y actualización ,podrías darme un ejemplo?. Que diferencias tiene con GiiX? Quiero disculparme contigo si me he excedido con mis preguntas, pero pertenezco a un grupo de programadores que solo utilizabamos gii. Cuando les comente sobre tu excelente trabajo no dejan de hacerme preguntas. Un cordial saludo. Pablo.

  2. Ricardo Obregón repo owner

    Aunque creo que ya es algo tarde la respuesta, para los que luego consulten contesto: Esta extensión usa automáticamente los estilos de Bootstrap, así que no hay necesidad de hacer cambios en el código generado para activar los estilos de Bootstrap. Diferencias con GiiX: - Soporta Boostrap ;) - Tiene soporte para otras extensiones. - Genera código más completo (relaciones y vistas en general) - Mayor y mejor soporte para múlltiples tipos de campos (fecha, boolean, timestamp, entre otros)

    Saludos

  3. Oscar Yanaptiri

    AWECRUD

    Sr. Ricardo:

    Estoy usando AweCrud 0.13, hice todo lo que se indica para la instalación: En el Menú de Gii se agregó correctamente: AweCrud Generator AweModel Generator

    Tengo 2 tablas relacionadas: producto y venta Luego, pude crear el Modelo de la tabla producto correctamente. Pero... cuando quise crear el CRUD, me salió el siguiente error:

    PHP warning

    include(EActiveRecordRelationBehavior.php): failed to open stream: No such file or directory

    C:\xampp\htdocs\yii\framework\YiiBase.php(421)

    Me podría indicar como solucionar este problema paso a paso, por favor?

    Gracias de antemano !

  4. Ricardo Obregón repo owner

    El error indica que seleccionó el permitir el uso de la extensión "EActiveRecordRelationBehavior" al momento de generar el modelo con AweModel (en la opción: "Related Record Behavior"). Si desea usar esa extensión, debe instalarla y configurarla previamente de modo que sea "visible" por las demás clases. Si no desea usar esa extensión (no es obligatoria), puede volver a generar los modelos sin marcar la opción "Related Record Behavior". Saludos.

  5. Log in to comment